import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_large.dart';
import 'package:syncrow_app/utils/context_extension.dart';
import 'package:syncrow_app/utils/resource_manager/strings_manager.dart';

import 'package:syncrow_app/features/shared_widgets/default_container.dart';

class LightInterfaceTimer extends StatelessWidget {
  const LightInterfaceTimer({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return DefaultContainer(
      boxConstraints: const BoxConstraints(maxHeight: 65, minHeight: 65),
      margin: const EdgeInsets.symmetric(vertical: 10),
      padding: const EdgeInsets.symmetric(horizontal: 35, vertical: 10),
      child: Row(
        children: [
          BodyLarge(
            text: StringsManager.timer,
            style: context.bodyLarge.copyWith(color: Colors.grey),
          ),
        ],
      ),
    );
  }
}
